import os
import re

# Tabla de conversión
replacements = {
    "á": "", "é": "", "í": "", "ó": "", "ú": "", "ü": "",
    "Á": "A", "É": "£", "Í": "I", "Ó": "O", "Ú": "U", "Ü": "§",
    "ç": "", "Ç": "š", "ñ": "", "Ñ": "©", "¿": "Ž", "¡": "³"
}

def convert_file(input_file):
    print(f"Procesando: {input_file}...")

    # Extraer el nombre base del archivo sin la extensión
    base_name = os.path.basename(input_file)
    extension = os.path.splitext(base_name)[1]
    name_without_extension = os.path.splitext(base_name)[0]

    # Crear el nombre del archivo de salida
    output_file = f"{name_without_extension}_converted{extension}"

    # Leer el contenido del archivo de entrada
    with open(input_file, 'r', encoding='utf-8') as infile:
        content = infile.read()

    # Realizar las sustituciones en el contenido
    for key, value in replacements.items():
        content = content.replace(key, value)

    # Escribir el contenido modificado al archivo de salida
    with open(output_file, 'w', encoding='ISO-8859-15') as outfile:
        outfile.write(content)

    return output_file

if __name__ == "__main__":
    import sys
    if len(sys.argv)!= 2:
        print(f"Uso: {sys.argv[0]} <archivo_entrada>")
        sys.exit(1)

    input_file = sys.argv[1]
    output_file = convert_file(input_file)
    print(f" Resultado: {output_file}")

